<?php

namespace Drp\SimpleCms\Http\Middleware;

use Drp\SimpleCms\Scopes\PreviewScope;
use Closure;

/**
 * Class PreviewMode
 * @package Drp\SimpleCms
 */
class PreviewMode
{
    /**
     * Add the Preview scope to all defined content types
     *
     * @param mixed $request
     * @param \Closure $next
     * @return \Illuminate\Http\Response
     */
    public function handle($request, Closure $next)
    {
        if (preview_mode_enabled()) {
            collect(config('simple_cms.content_types'))
                ->each(function ($content) {
                    $content::addGlobalScope(new PreviewScope);
                });
        }


        return $next($request);
    }
}
