<?php

namespace Drp\SimpleCms\Test\Support\Fakes;

use Drp\SimpleCms\Contracts\CmsUser;
use Illuminate\Auth\Authenticatable;
use Illuminate\Foundation\Auth\Access\Authorizable;

/**
 * Class TestUser
 * @package Drp\SimpleCms\Test\Fakes
 */
class TestUser implements CmsUser
{

    use Authorizable, Authenticatable;

    /**
     * @var
     */
    private $canPublish;

    /**
     * @var
     */
    private $canCreate;

    /**
     * TestUser constructor.
     * @param bool $canPublish
     * @param bool $canCreate
     */
    public function __construct($canPublish = true, $canCreate = true)
    {
        $this->canPublish = $canPublish;
        $this->canCreate = $canCreate;
    }

    public function hasPublishAccess()
    {
        return $this->canPublish;
    }

    public function hasCreateAccess()
    {
        return $this->canCreate;
    }

    /**
     * Get the name of the unique identifier for the user.
     *
     * @return string
     */
    public function getAuthIdentifierName()
    {
        // TODO: Implement getAuthIdentifierName() method.
    }

    /**
     * Get the unique identifier for the user.
     *
     * @return mixed
     */
    public function getAuthIdentifier()
    {
        // TODO: Implement getAuthIdentifier() method.
    }

    /**
     * Get the password for the user.
     *
     * @return string
     */
    public function getAuthPassword()
    {
        // TODO: Implement getAuthPassword() method.
    }

    /**
     * Get the token value for the "remember me" session.
     *
     * @return string
     */
    public function getRememberToken()
    {
        // TODO: Implement getRememberToken() method.
    }

    /**
     * Set the token value for the "remember me" session.
     *
     * @param  string $value
     * @return void
     */
    public function setRememberToken($value)
    {
        // TODO: Implement setRememberToken() method.
    }

    /**
     * Get the column name for the "remember me" token.
     *
     * @return string
     */
    public function getRememberTokenName()
    {
        // TODO: Implement getRememberTokenName() method.
    }
}
